#!/bin/csh
# Pour remplacer une chaine de char par une autre dans les repertoires Sophya
# find . -name \*.h -exec grep -l stream {} \;
# find . -name \*.h -exec grep stream {} \; | grep include
set ftemp = /tmp/replace_string.tmp

set tobereplace = "iostream\.h"
set replaceby = "iostream"

foreach f ( */*.h */*.cc )
  grep "$tobereplace" $f > /dev/null
  if( $status == 0 ) then
    echo $f
    rm -f ${ftemp}; cp $f ${ftemp}
    # Attention on ne peut pas changer de chaine de char avec des "?" dedans
    cat ${ftemp} | sed "s?$tobereplace?$replaceby?g" >! $f
  endif
end

rm -f ${ftemp}

exit 0
